Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class M_GraphixEngineUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      de.farafin.snEADy.control.GaphixStuff.GrWindow
                          de.farafin.snEADy.control.GaphixStuff.M_GraphixEngineUI

All Implemented Interfaces:
  I_Constants, I_GraphixConstants, I_Control_interface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class M_GraphixEngineUI

extends GrWindow
implements I_Control_interface, I_Constants, I_GraphixConstants

Version:
  $Revision: 1.65 $
Author:
  larsonmars
See Also:
  Serialized Form

Nested Class Summary
`private class` | `M_GraphixEngineUI.Gr_Arena` Grafikrepräsentation der Arena
`private class` | `M_GraphixEngineUI.Gr_DiffArena`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private int` | `actArena`
`private java.awt.Graphics` | `actGraphics`
`private GrTextArea` | `area_commentsArena`
`private GrTextArea` | `area_commentsPlayer`
`private M_GraphixEngineUI.Gr_Arena[]` | `arena`
`private GrDlgWindow` | `arenaFS`
`private GrButton` | `butt_addCPlayer`
`private GrButton` | `butt_addHPlayer`
`private GrButton` | `butt_arena`
`private GrButton` | `butt_arenaOK`
`private GrButton` | `butt_credits`
`private GrButton` | `butt_loadArena`
`private GrButton` | `butt_min`
`private GrButton` | `butt_options`
`private GrButton` | `butt_player`
`private GrButton` | `butt_plOK`
`private GrButton` | `butt_quit`
`private GrButton[]` | `butt_rmPlayer`
`private GrButton` | `butt_run`
`private GrButton` | `butt_stop`
`private java.awt.Label` | `cf_lab`
`private java.awt.TextField` | `cf_text`
`private java.awt.Frame` | `commandFrame`
`private java.lang.String[]` | `commandHist`
`private C_DebugMonitor` | `debugMon`
`private M_GraphixEngineUI.Gr_DiffArena` | `diff`
`private java.lang.String[]` | `fileList_arena`
`private java.lang.String[]` | `fileList_player`
`private float` | `fps`
`private int` | `frameC`
`private GameParameter` | `gameParam`
`private java.awt.Graphics` | `gr_arena`
`(package private) java.awt.Graphics[]` | `gr_tab`
`private int` | `humanPlayerC`
`private C_Human[]` | `humans`
`private java.awt.image.VolatileImage` | `img_arena`
`private java.awt.image.VolatileImage[]` | `img_pTab`
`private java.awt.image.VolatileImage[]` | `img_tab`
`private int[]` | `last_killPoints`
`private int` | `lastInserted`
`private int` | `lastPlayerC`
`private long` | `lastTime`
`private int[]` | `m_cycles`
`private int[]` | `m_killpoints`
`private int[]` | `m_length`
`private int[]` | `m_name`
`private int` | `monHeight`
`private int` | `monPosX`
`private int` | `monPosY`
`private int` | `monWidth`
`(package private) D_GameInfo` | `oldGameInfo`
`private GrDlgWindow` | `options`
`private GrDlgWindow` | `playerFS`
`private int[]` | `playerOrd`
`private M_GraphixEngineUI` | `root`
`private GrScroll` | `scroll_arena`
`private GrScroll` | `scroll_player`
`private GrSelCanvas` | `sel_arena`
`private GrSelCanvas` | `sel_player`
`private int` | `selectedCommand`
`private GrTextField` | `text_aGrow`
`private GrTextField` | `text_aSlowd`
`private GrTextField` | `text_exitT`
`private GrTextField` | `text_hPlayerName`
`private GrTextField` | `text_iDelay`
`private GrTextField` | `text_iLength`
`private GrTextField` | `text_maxDelay`
`private GrTextField` | `text_maxMem`
`private GrTextField` | `text_maxTime`
`private GrTextField` | `text_pLength`
`private GrTextField` | `text_pPoints`
`private GrTextField` | `text_pSlowd`
`private GrTextField` | `text_pSpeed`
`private GrTextField` | `text_suddenDT`
`private GrButton` | `tgl_debugMon`
`private GrButton` | `tgl_log`
`private GrButton` | `tgl_pPMem`
`private GrButton` | `tgl_pPTime`
`private GrButton` | `tgl_showSC`
`private GrButton` | `tgl_timeKill`

Fields inherited from class de.farafin.snEADy.control.GaphixStuff.GrWindow
`h, sroot, w`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface de.farafin.snEADy.communication.I_Constants
`analyse_ms, auto_grow_delay, auto_slowdown_delay, closemonitor, commandConstants, damage_length_grow, damage_points_radius, DEBUG, delplayer, easy_points, emergencyPause, exit_time, FACE_EAST, FACE_NORTH, FACE_SOUTH, FACE_WEST, goody_length_occ, goody_length_value, goody_points_occ, goody_points_value, goody_shorter_occ, goody_shorter_value, goody_slowdown_occ, goody_speed_occ, IN_ACTION, IN_ERROR_EXC, IN_ERROR_INIT, IN_ERROR_SPACE, IN_ERROR_TIME, IN_EXIT, IN_HEAVEN, init_length, init_move_delay, kill, kill_point_goodies, kill_points_radius, loadhuman, loadlevel, loadplayer, logging, max_goody_occ_delay, MAX_HUMAN_PLAYERS, max_mem_check_delay, max_move_delay, max_player_mem, MAX_PLAYERS, max_thinking_ms, min_cycle_ms, min_move_delay, openmonitor, overalldelay, pause, print_calc_ms, print_parameter, print_player_mem, print_playfield, quit, run, show_subcycles, start, stop, suddend_time, survival_points, timeout_ms, TURN_LEFT, TURN_NONE, TURN_RIGHT`

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, ARENAMAXSIZE, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_BLUE1, COL_BLUE2, COL_GREY1, dir_arena, dir_player, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXCOMMANDHIST, MAXFRAMECOUNT, MONSTARTX, MONSTARTY, S_ARENABG, S_BUTTADD, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_VSCROLL, S_VSCROLLBUTT, UIGRAPHIX_END`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`private` | `M_GraphixEngineUI()`
`` | `M_GraphixEngineUI(I_Main_interface calling, GameParameter p, C_DebugMonitor debMon, int version)` Creates a new instance of C_GraphixEngineUI

Method Summary
`private static void` | `appendCuttedString(java.lang.StringBuffer dest, java.lang.String src, int maxLen)`
`void` | `beep()`
`void` | `beep(int i)`
`void` | `beep(java.lang.String str)`
`private void` | `checkActivations(D_GameInfo gameInfo)`
`private void` | `drawMenuElements(java.awt.Graphics g, D_GameInfo gameInfo)`
`private void` | `drawPlayerTab(boolean[] drawArray)`
`void` | `paint(java.awt.Graphics g)`
`void` | `setActive(boolean active)`
`private void` | `setupCommandFrame()`
`private void` | `setupFileSelectorArena()`
`private void` | `setupFileSelectorPlayer()`
`private void` | `setupOptions()`
`void` | `update(D_GameInfo gameInfo, C_Human[] humanPlayer)`
`private void` | `updateGraphics()`
`private void` | `updateOptions(boolean grUp)`
`private void` | `updatePlayer(D_GameInfo gameInfo)`
`private void` | `updatePlayerTab(D_GameInfo gameInfo)`
`private void` | `updateTexts(D_GameInfo gameInfo, java.awt.Graphics g)`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### frameC

    private int frameC

### lastTime

    private long lastTime

### fps

    private float fps

### oldGameInfo

    D_GameInfo oldGameInfo

### humans

    private C_Human[] humans

### humanPlayerC

    private int humanPlayerC

### img_arena

    private java.awt.image.VolatileImage img_arena

### gr_arena

    private java.awt.Graphics gr_arena

### img_pTab

    private java.awt.image.VolatileImage[] img_pTab

### img_tab

    private java.awt.image.VolatileImage[] img_tab

### gr_tab

    java.awt.Graphics[] gr_tab

### monPosX

    private int monPosX

### monPosY

    private int monPosY

### monWidth

    private int monWidth

### monHeight

    private int monHeight

### arena

    private M_GraphixEngineUI.Gr_Arena[] arena

### actArena

    private int actArena

### diff

    private M_GraphixEngineUI.Gr_DiffArena diff

### last_killPoints

    private int[] last_killPoints

### m_length

    private int[] m_length

### m_killpoints

    private int[] m_killpoints

### m_cycles

    private int[] m_cycles

### m_name

    private int[] m_name

### lastPlayerC

    private int lastPlayerC

### playerOrd

    private int[] playerOrd

### root

    private M_GraphixEngineUI root

### actGraphics

    private java.awt.Graphics actGraphics

### butt_run

    private GrButton butt_run

### butt_stop

    private GrButton butt_stop

### butt_min

    private GrButton butt_min

### butt_quit

    private GrButton butt_quit

### butt_arena

    private GrButton butt_arena

### butt_player

    private GrButton butt_player

### butt_options

    private GrButton butt_options

### butt_credits

    private GrButton butt_credits

### butt_rmPlayer

    private GrButton[] butt_rmPlayer

### commandFrame

    private java.awt.Frame commandFrame

### cf_text

    private java.awt.TextField cf_text

### cf_lab

    private java.awt.Label cf_lab

### arenaFS

    private GrDlgWindow arenaFS

### playerFS

    private GrDlgWindow playerFS

### text_hPlayerName

    private GrTextField text_hPlayerName

### butt_addHPlayer

    private GrButton butt_addHPlayer

### butt_addCPlayer

    private GrButton butt_addCPlayer

### butt_plOK

    private GrButton butt_plOK

### sel_player

    private GrSelCanvas sel_player

### area_commentsPlayer

    private GrTextArea area_commentsPlayer

### scroll_player

    private GrScroll scroll_player

### fileList_player

    private java.lang.String[] fileList_player

### butt_loadArena

    private GrButton butt_loadArena

### butt_arenaOK

    private GrButton butt_arenaOK

### sel_arena

    private GrSelCanvas sel_arena

### area_commentsArena

    private GrTextArea area_commentsArena

### scroll_arena

    private GrScroll scroll_arena

### fileList_arena

    private java.lang.String[] fileList_arena

### options

    private GrDlgWindow options

### text_exitT

    private GrTextField text_exitT

### text_suddenDT

    private GrTextField text_suddenDT

### text_iLength

    private GrTextField text_iLength

### text_iDelay

    private GrTextField text_iDelay

### text_aGrow

    private GrTextField text_aGrow

### text_aSlowd

    private GrTextField text_aSlowd

### text_maxDelay

    private GrTextField text_maxDelay

### text_pLength

    private GrTextField text_pLength

### text_pSpeed

    private GrTextField text_pSpeed

### text_pSlowd

    private GrTextField text_pSlowd

### text_pPoints

    private GrTextField text_pPoints

### text_maxTime

    private GrTextField text_maxTime

### text_maxMem

    private GrTextField text_maxMem

### tgl_timeKill

    private GrButton tgl_timeKill

### tgl_showSC

    private GrButton tgl_showSC

### tgl_debugMon

    private GrButton tgl_debugMon

### tgl_pPTime

    private GrButton tgl_pPTime

### tgl_pPMem

    private GrButton tgl_pPMem

### tgl_log

    private GrButton tgl_log

### commandHist

    private java.lang.String[] commandHist

### selectedCommand

    private int selectedCommand

### lastInserted

    private int lastInserted

### debugMon

    private C_DebugMonitor debugMon

### gameParam

    private GameParameter gameParam

Constructor Detail

### M_GraphixEngineUI

    public M_GraphixEngineUI(I_Main_interface calling,
                             GameParameter p,
                             C_DebugMonitor debMon,
                             int version)

  Creates a new instance of C_GraphixEngineUI

### M_GraphixEngineUI

    private M_GraphixEngineUI()

Method Detail

### setupOptions

    private void setupOptions()

### updateOptions

    private void updateOptions(boolean grUp)

### appendCuttedString

    private static final void appendCuttedString(java.lang.StringBuffer dest,
                                                 java.lang.String src,
                                                 int maxLen)

### setupFileSelectorArena

    private void setupFileSelectorArena()

### setupFileSelectorPlayer

    private void setupFileSelectorPlayer()

### setupCommandFrame

    private void setupCommandFrame()

### updateGraphics

    private void updateGraphics()

### updateTexts

    private void updateTexts(D_GameInfo gameInfo,
                             java.awt.Graphics g)

### updatePlayer

    private void updatePlayer(D_GameInfo gameInfo)

### updatePlayerTab

    private void updatePlayerTab(D_GameInfo gameInfo)

### drawMenuElements

    private void drawMenuElements(java.awt.Graphics g,
                                  D_GameInfo gameInfo)

### drawPlayerTab

    private void drawPlayerTab(boolean[] drawArray)

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GrWindow`

### checkActivations

    private void checkActivations(D_GameInfo gameInfo)

### setActive

    public void setActive(boolean active)

  Specified by:
    `setActive` in interface `I_Control_interface`
  Parameters:
    `active` - decides wether the Control Class is able to send data

### update

    public void update(D_GameInfo gameInfo,
                       C_Human[] humanPlayer)

  Specified by:
    `update` in interface `I_Control_interface`
  Parameters:
    `gameInfo` - contains all data about the current gameInfo
    `humanPlayer` - contains all data about the human players.

### beep

    public void beep()

### beep

    public void beep(java.lang.String str)

### beep

    public void beep(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD